# encoding: utf-8
"""
@author: luojunhui
"""
import json
from applications.ai import metaSo, kimi_ai

with open("test_return.json", encoding="utf-8") as f:
    data = json.loads(f.read())

obj_list = data['data']

for obj in obj_list:
    video_id = obj['video_id']
    title = obj['title']
    video_text = obj['video_text']
    prompt = f"""
    我会给你一段文本和标题，需要你帮我判断文本和标题是否相关。
    如果相关：则通过标题和文本帮我生成一个主题和简要总结
    如果不相关，则通过标题帮我生成一个主题和简要总结
    返回的结果是一个json格式，key有两个，分别是theme 和 summary
    只需要返回json
    给你的标题是： {title}
    给你的文本是： {video_text}
    """
    response = kimi_ai(prompt)
    out_path = "temo/{}.json".format(video_id)
    with open(out_path, "w", encoding="utf-8") as f:
        f.write(json.dumps(response, ensure_ascii=False, indent=4))
# meta_prompt = f"""
# 通过一个关键词列表{res_obj['keys']}
# 和文本的总结：{res_obj['summary']}，
# 生成一篇2000字左右的文章，来叙述上面的内容
# """
# resp = metaSo(prompt=meta_prompt)
# print(resp)