"""
@author: luojunhui
"""
import os
import json
from applications.ai import metaSo


dirs = 'temo'
file_list = [os.path.join(dirs, file) for file in os.listdir(dirs)]
for file in file_list:
    with open(file, encoding="utf-8") as f:
        data = json.loads(f.read())
    kimi_obj = json.loads(data) if type(data) == str else data
    theme = kimi_obj['theme']
    summary = kimi_obj['summary']
    prompt = f"""
    我会给你一个主题和一个总结性文本，需要你通过这两个信息生成一遍文章，
    如果总结性文本和主题不太相关，则只用主题来生成
    要注意的点1： 文章的主题要和我提供的一样
    主题是： {theme}
    总结性文本是：{summary}
    """
    result = metaSo(prompt=prompt)
    print(json.dumps(result, ensure_ascii=False, indent=4))
    kimi_obj['text'] = result['data']['msg']
    with open(file, "w", encoding="utf-8") as f:
        f.write(json.dumps(kimi_obj, ensure_ascii=False, indent=4))